## -*- coding: utf-8 -*-
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<%!
import os, gettext
import cherrypy
from platform import uname
from utils import split_uppercase, strip_pound
from pyci_db import check_user_permission
from utils import current_user
hostname = uname()[1]
locale_dir = os.path.join(os.getcwd(), 'i18n')
try:
    trans = gettext.translation('PyCI', locale_dir)
except:
    trans = gettext.NullTranslations()
_ = lambda s: trans.ugettext(s)
%>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>${hostname} - Login</title>
<link rel="stylesheet" href="/static?filepath=static/css/combined.css" type="text/css" media="screen" />
<link rel="stylesheet" href="/static?filepath=html/static/css/jquery-ui-1.7.1.danblue.css" type="text/css" media="screen" />
<link rel="stylesheet" href="/static?filepath=html/static/css/main.css" type="text/css" media="screen" />
<link rel="gettext" href="/gettext_json?domain=${gettext_domain}" lang="${language}" />
<!--[if lte IE 6]>
<link rel="stylesheet" type="text/css" href="css/ie6_or_less.css" />
<![endif]-->
<script type="text/javascript" src="/static?filepath=static/js/combined.js"></script>
<script type="text/javascript" src="/static?filepath=html/static/js/common.js"></script>
<script type="text/javascript">
$(document).ready(function(){
    $('#LoginForm').dialog({
        autoOpen: true,
        height: 300,
        width: 400,
        modal: true,
        show: 'slide',
        title: 'PyCI Login'
    });
});
</script>
<style type="text/css" media="screen">
.righttd {text-align: right;}
</style>
</head>
<body id="routerstation" class="tundra">
<div id="wrap">
    <div id="header">
        <div id="site-name"><a href="/">${hostname}</a></div>
        <ul class="nav ui-tabs-nav ui-corner-all">
        <li id="menu" class="ui-state-default ui-corner-top ui-tabs-selected ui-state-active"><a tabindex="0" href="#" class="menu" id="pyci-menu">${_('PyCI Menu')}<span class="ui-icon ui-icon-triangle-1-s"></span></a>
        </li>
        <li>&nbsp;</li>
        </ul>
        <div id="toplogo"><a href="http://www.ubnt.com/"><img src="/static?filepath=html/static/images/ubnt.gif" alt="Ubiquiti Routerstation" /></a></div>
    </div>

    <div id="content-wrap">

        <div id="utility">

        </div>

        <div id="content">
<div id="LoginForm">
    <div style="text-align: center;">
    <form id="login_form" method="post" action="/auth/login">
    <input type="hidden" name="from_page" value="${from_page}" />
    <table border='0'>
        <tr>
            <td style="width: 10em;">${_("Username:")}</td>
            <td class="righttd"><input tabindex="1" id="user" type="text" name="user" value="${user}" /></td>
        </tr>
        <tr>
            <td style="width: 10em;">${_("Password:")}</td>
            <td class="righttd"><input id="password" type="password" name="password" /></td>
        </tr>
        <tr>
            <td style="width: 10em;"></td>
            <td class="righttd"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
    </table>
    </form>
% if message:
    <div id="login_message" class="ui-widget">
    <div class="ui-state-error ui-corner-all" style="text-align: left; margin-top: 0px; padding: 0 .7em">
    <p><span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span><strong>${_("Error:")}</strong> ${message}</p>
    </div>
% else:
    <div id="login_message" class="ui-widget">
        <div class="ui-state-highlight ui-corner-all" style="text-align: left; margin-top: 0px; padding: 0 .7em">
        <p><span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>${_("<strong>Tip:</strong> <i>PyCI uses /etc/passwd and /etc/shadow for checking credentials.  If you haven't set your root password yet you may login as root with no password.")}</i></p>
        </div>
    </div>
% endif
    </div>
    </div>
</div>

            <div id="footer">
                <p><a href="http://www.ubnt.com">Ubiquiti Networks</a> | <a href="http://wiki.ubnt.com/wiki/index.php/RouterStation">${_("RouterStation Wiki")}</a></p>
            </div>
        </div>

    </div>

</div>
</body>
</html>