## -*- coding: utf-8 -*-
<div id="accordion">
% for username, crontab in plugin_dict['crontabs'].items():
    <h3 id="header_${username}"><a href="#">${username}</a></h3>
    <div id="accordion_section_div">
## Easy Buttons
    <div id="easy_buttons_div" class="ui-widget accordion_float_right">
    <h4 class="ui-state-active ui-corner-top ui-widget-header">&nbsp;<strong>${_("Easy Buttons")}</strong></h4>
    <table id="easy_buttons_table" width="100%" align="center">
        <tr>
            <td><button id="schedule_backup" class="fg-button ui-state-default ui-corner-all">${_("Schedule Backup")}</button></td>
        </tr>
    </table>
    </div>
## Crontab
    <div id="${username}_crontab">
        <form id="${username}_crontab_form" class="crontab_form" method="post" action="/Services/update_raw_crontab">
        <input type="hidden" name="username" value="${username}" />
        <p><textarea name="crontab" id="crontab" rows="20" cols="80" class="code">${crontab}</textarea></p>
        <p><input type="checkbox" name="delete" value="true" />${_("Delete this crontab")}</p>
        <p><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></p>
        </form>
    </div>
    </div>
% endfor
</div>
<script type="text/javascript">
$(document).ready(function(){
    $("#accordion").accordion({ collapsible: true, autoHeight: false });
    $('.crontab_form').each(function(n) {
        $(this).ajaxForm({
            target: '#result',
            success: function() {
                showResult();
                reloadCrontabs();
            }
        })
    });
    function reloadCrontabs() {
        $('#accordion').accordion( 'activate' , 0 ); // Close this accordion by switching to the first crontab
        setTimeout(function(){ // Wait a second then reload the whole tab to bring in the fresh interfaces
            var selectedTab = $('#tabs').tabs('option', 'selected');
            $('#tabs').tabs('load', selectedTab);
        }, 1000);
    };
    $('#schedule_backup').click(function() {
        $('#crontab').append('\n# This will backup /etc to /mnt/sda1/pyci_backup_:hostname:_etc-:date:.tar.gz at midnight every day:\n0 * * * * /usr/bin/PyCI/scheduled_backup.py --dir /mnt/sda1\n# It keeps 7 copies in rotation by default.  If you want to change it to less or more add "--rotate :num:" to the end of the command\n# IMPORTANT:  Change /mnt/sda1 to the correct mount point.');
    });
    JT_init(); //Initialize jTip for great tooltips
});
</script>
