## -*- coding: utf-8 -*-
<div id="accordion">
% for section in plugin_dict['network_conf'].sections:
    % if 'switch' in section['config']:
    <h3 id="header_${section['config'][1]}"><a href="#">${section['config'][1]}</a></h3>
    <div id="accordion_section_div">
    <div id="${section['config'][1]}_form_div">
    <form id="switch_form_${section['config'][1]}" class="switch_form_class" method="post" action="/Network/update_switch">
        <input type="hidden" name="config" value="${section['config'][1]}" />
        <table id="${section['config'][1]}_table" align="center" width="100%">
            <tr>
                <td style="width: 10em;"><label for="${section['config'][1]}_delete">${_("Delete")}</label></td>
                <td align="center"><input type="checkbox" id="${section['config'][1]}_delete" name="delete" value="${section['config'][1]}" /></td>
            </tr>
        </table>
        <table align="center">
        <tr id="${section['config'][1]}_options_tr">
            <td style="width: 10em;">
                <select id="${section['config'][1]}_options" name="options" title="${_('Select a switch option')}">
                <option value="">${_("Add option...")}</option>
        % for num in range(0,255):
                <option value="vlan${num}">vlan${num} - The VLAN you wish to assign parameters.</option>
        % endfor
            </td>
                </select>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
    </div>
    <script type="text/javascript">
    $(document).ready(function(){
        $("#${section['config'][1]}_options").selectmenu({
            width: 120,
            menuWidth: 500,
            maxHeight: 300,
            format: optionHelpFormatting
        });
        $("#${section['config'][1]}_options_tr").change(function(){
            onSelectChange($("#${section['config'][1]}_options option:selected"), $('#${section['config'][1]}_table'), '/Network/switch_options_meta', 'switch');
        });
    % for key, value in section['options'].items():
        addField('/Network/switch_options_meta', $('#${section['config'][1]}_table'), '${key}', '${value}');
    % endfor
    });
    </script>
    % endif
% endfor
## New Route section
    <h3 id="header_new_switch"><a href="#">${_("New Switch Configuration")}</a></h3>
    <div id="accordion_section_div">
    <div id="new_switch_form_div">
    <form id="new_switch_form" class="switch_form_class" method="post" action="/Network/add_switch">
        <table id="new_switch_table" align="center">
        <tr>
            <td style="width: 10em;">${_("Interface Name")}</td>
            <td><input type="text" id="config" name="config" size="18"></td>
        </tr>
        </table>
        <table align="center">
        <tr id="new_switch_options_tr">
            <td style="width: 10em;">
                <select id="new_switch_options" name="options" title="${_('Select a switch option')}">
                <option value="">${_("Add option...")}</option>
        % for num in range(0,255):
                <option value="vlan${num}">vlan${num} - The VLAN you wish to assign parameters.</option>
        % endfor
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
    </div>
    <script type="text/javascript">
    $(document).ready(function(){
        $("#new_switch_options").selectmenu({
            width: 120,
            menuWidth: 500,
            maxHeight: 300,
            format: optionHelpFormatting
        });
        $("#new_switch_options_tr").change(function(){
            onSelectChange($("#new_switch_options option:selected"), $('#new_switch_table'), '/Network/switch_options_meta', 'switch');
        });
    });
    </script>
</div>
<script type="text/javascript">
$(document).ready(function(){
    var count = 0;
    $("#accordion").hide();
    $("#accordion").accordion({ collapsible: true, active: false, autoHeight: false });
    setTimeout(function() {
        $("#accordion").fadeIn('slow');
        $("#accordion").accordion('activate', 0);
    }, 500);
    $('.switch_form_class*').each(function(n) {
        $(this).ajaxForm({
            target: '#result',
            success: function(responseText) {
                showResult();
                // Note: contains() is from MochiKit.Text
                if (contains(_("<strong>Success:</strong>"), responseText)) {
                    setTimeout(function() {reloadTab($("#accordion"));}, 500);
                    rebootRequired();
                };
            }
        })
    });
    jTipReload();
});
</script>
