## -*- coding: utf-8 -*-
<%inherit file="../html/base.mako"/>
<%
plugins = plugin_object.__subclasses__()
display_plugins = []
for plugin in plugins:
    if plugin.display:
        display_plugins.append(plugin)
display_plugins.sort(key=lambda obj: obj.sort_priority) # Sort plugins according to their sort_priority variable
active_plugin = None
for plugin in plugins:
    if plugin.__name__ == plugin_name:
        active_plugin = plugin
%>
            <h2 id="plugin_header">${plugin_dict['long_name']}<a href="javascript:helpToggle('help');" class="helplink" title="${_("Toggle the help sidebar")}">${_("Help")}</a></h2>
            ${plugin_dict['description']}
            <hr />
<div id="plugin_content">
% try:
    ${next.body()}
% except:
    <!-- Empty -->
% endtry
</div>