$(document).ready(function(){
    var lastsel;
    jQuery('#pyci_settings').jqGrid({
        url:'/PyCISettings/pyci_settings_json',
        datatype: "json",
        colNames:[_('Option'), _('Value')],
        colModel:[
            {name:'Option',index:'Option', editable:true, width: 120},
            {name:'Value',index:'Value', editable:true, width: 80},
        ],
        width: 500,
        height: "100%",
        rowNum:10,
        multiselect: false,
        pager: jQuery('#ppyci_settings'),
        viewrecords: true,
        onSelectRow: function(id){
            if(id && id!==lastsel){
                jQuery('#pyci_settings').restoreRow(lastsel);
                jQuery('#pyci_settings').editRow(id,true); lastsel=id;
            }
        },
        editurl: "/PyCISettings/update_pyci_settings",
        caption: _("PyCI Settings")
    }).navGrid("#ppyci_settings",{edit:false,add:false,del:false},{},{width:350},{});
});