## -*- coding: utf-8 -*-
<div id="coova_chilli_accordion">
## Local Network Settings
    <h3><a href="#coova_chilli">Local Network Settings</a></h3>
    <div id="accordion_section_div">
    <form id="local_network_settings_form" class="coova_chilli_form_class" method="post" action="/Services/update_coova_chilli">
        <table id="local_network_settings_table" align="center" width="100%">
        </table>
        <table align="center">
        <tr id="coova_chilli_options_tr">
            <td style="width: 10em;">
                <select id="local_network_settings_options" class="coova_chilli_options_class" name="options" title="${_('Select an option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['chilli_config'].settings_categories['local_network_settings']:
            <%
            try:
                option_help = plugin_dict['chilli_config'].settings_help[option]
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
                </select>
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
## Hotspot Settings
    <h3><a href="#coova_chilli">Hotspot Settings</a></h3>
    <div id="accordion_section_div">
    <form id="hotspot_settings_form" class="coova_chilli_form_class" method="post" action="/Services/update_coova_chilli">
        <table id="hotspot_settings_table" align="center" width="100%">
        </table>
        <table align="center">
        <tr id="coova_chilli_options_tr">
            <td style="width: 10em;">
                <select id="hotspot_settings_options" class="coova_chilli_options_class" name="options" title="${_('Select an option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['chilli_config'].settings_categories['hotspot_settings']:
            <%
            try:
                option_help = plugin_dict['chilli_config'].settings_help[option]
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
                </select>
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
## WISPr Settings
    <h3><a href="#coova_chilli">WISPr Settings</a></h3>
    <div id="accordion_section_div">
    <form id="wispr_settings_form" class="coova_chilli_form_class" method="post" action="/Services/update_coova_chilli">
        <table id="wispr_settings_table" align="center" width="100%">
        </table>
        <table align="center">
        <tr id="coova_chilli_options_tr">
            <td style="width: 10em;">
                <select id="wispr_settings_options" class="coova_chilli_options_class" name="options" title="${_('Select an option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['chilli_config'].settings_categories['wispr_settings']:
            <%
            try:
                option_help = plugin_dict['chilli_config'].settings_help[option]
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
                </select>
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
## Centralized Config Settings
    <h3><a href="#coova_chilli">Centralized Configuration Settings</a></h3>
    <div id="accordion_section_div">
    <form id="centralized_config_settings_form" class="coova_chilli_form_class" method="post" action="/Services/update_coova_chilli">
        <table id="centralized_config_settings_table" align="center" width="100%">
        </table>
        <table align="center">
        <tr id="coova_chilli_options_tr">
            <td style="width: 10em;">
                <select id="centralized_config_settings_options" class="coova_chilli_options_class" name="options" title="${_('Select an option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['chilli_config'].settings_categories['centralized_config_settings']:
            <%
            try:
                option_help = plugin_dict['chilli_config'].settings_help[option]
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
                </select>
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
</div>
<script type="text/javascript">
$(document).ready(function(){
## Local Network Settings
    $("#local_network_settings_options").change(function(){
        onSelectChange($("#local_network_settings_options option:selected"), $('#local_network_settings_table'), '/Services/coova_chilli_options_meta');
        setTimeout(function() {
            $('.coova_chilli_form_class input').each(function() { $(this).attr({style: "width: 30em;"}) });
        }, 500);
    });
% for key, value in plugin_dict['chilli_config'].settings.items():
    % if key in plugin_dict['chilli_config'].settings_categories['local_network_settings']:
    addField('/Services/coova_chilli_options_meta', $('#local_network_settings_table'), '${key}', '${value}');
    $('#local_network_settings_options').removeOption('${key}');
    % endif
% endfor
## Hotspot Settings
    $("#hotspot_settings_options").change(function(){
        onSelectChange($("#hotspot_settings_options option:selected"), $('#hotspot_settings_table'), '/Services/coova_chilli_options_meta');
        setTimeout(function() {
            $('.coova_chilli_form_class input').each(function() { $(this).attr({style: "width: 30em;"}) });
        }, 500);
    });
% for key, value in plugin_dict['chilli_config'].settings.items():
    % if key in plugin_dict['chilli_config'].settings_categories['hotspot_settings']:
    addField('/Services/coova_chilli_options_meta', $('#hotspot_settings_table'), '${key}', '${value}');
    $('#hotspot_settings_options').removeOption('${key}');
    % endif
% endfor
## WISPr Settings
    $("#wispr_settings_options").change(function(){
        onSelectChange($("#wispr_settings_options option:selected"), $('#wispr_settings_table'), '/Services/coova_chilli_options_meta');
        setTimeout(function() {
            $('.coova_chilli_form_class input').each(function() { $(this).attr({style: "width: 30em;"}) });
        }, 500);
    });
% for key, value in plugin_dict['chilli_config'].settings.items():
    % if key in plugin_dict['chilli_config'].settings_categories['wispr_settings']:
    addField('/Services/coova_chilli_options_meta', $('#wispr_settings_table'), '${key}', '${value}');
    $('#wispr_settings_options').removeOption('${key}');
    % endif
% endfor
## Centralized Configuration Settings
    $("#centralized_config_settings_options").change(function(){
        onSelectChange($("#centralized_config_settings_options option:selected"), $('#centralized_config_settings_table'), '/Services/coova_chilli_options_meta');
        setTimeout(function() {
            $('.coova_chilli_form_class input').each(function() { $(this).attr({style: "width: 30em;"}) });
        }, 500);
    });
% for key, value in plugin_dict['chilli_config'].settings.items():
    % if key in plugin_dict['chilli_config'].settings_categories['centralized_config_settings']:
    addField('/Services/coova_chilli_options_meta', $('#centralized_config_settings_table'), '${key}', '${value}');
    $('#centralized_config_settings_options').removeOption('${key}');
    % endif
% endfor
    setTimeout(function() {
        $('.coova_chilli_options_class').each(function() {
            $(this).selectmenu({
                width: 120,
                menuWidth: 500,
                maxHeight: 300,
                format: optionHelpFormatting
            });
        });
    }, 1000);
    $("#coova_chilli_accordion").hide();
    $("#coova_chilli_accordion").accordion({ collapsible: true, active: false, autoHeight: false });
    setTimeout(function() {
        $("#coova_chilli_accordion").fadeIn('slow');
        $("#coova_chilli_accordion").accordion('activate', 0);
    }, 500);
    $('.coova_chilli_form_class*').each(function(n) {
        $(this).ajaxForm({
            target: '#result',
            success: function(responseText) {
                showResult();
                if (contains(_("<strong>Success:</strong>"), responseText)) {
                    setTimeout(function() {reloadTab($("#defaults_accordion"));}, 500);
                    rebootRequired();
                };
            }
        })
    });
    setTimeout(function() {
        $('.coova_chilli_form_class input').each(function() { $(this).attr({style: "width: 30em;"}) });
    }, 1000);
    jTipReload();
});
</script>