## -*- coding: utf-8 -*-
<div id="new_dhcp_interface">
    <form id="new_dhcp_interface_form" method="post" action="/Network/add_dhcp_interface">
    <table width="98%" align="center" id="new_dhcp_interface_table">
    </table>
    <table id="new_dhcp_interface_table2" width="98%" align="center">
        <tr id="select_dhcp_interface_option">
            <td style="width: 10em;"><select id="dhcp_interface_options" name="options" title="${_('Select an dhcp_interface option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['validation_dict']['dhcp'].keys():
            <%
            try:
                option_help = plugin_dict['validation_dict']['dhcp'][option]['title']
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
                </select>
            </td>
        </tr>
        <tr>
            <td><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
    </table>
    </form>
</div>
<script type="text/javascript">
$(document).ready(function(){
    mandatoryField('/Network/dhcp_interface_options_meta', $('#new_dhcp_interface_table'), 'interface', '', 'dhcp');
    $('#dhcp_interface_options').removeOption('interface')
    $("#dhcp_interface_options").selectmenu({
        width: 120,
        menuWidth: 500,
        maxHeight: 300,
        format: optionHelpFormatting
    });
    $("#dhcp_interface_options").change(function(){
        onSelectChange($("#dhcp_interface_options option:selected"), $('#new_dhcp_interface_table'), '/Network/dhcp_interface_options_meta', 'dhcp');
    });
    $('#new_dhcp_interface_form').validate({
            errorPlacement: function(error, element) {
                error.appendTo(element.parent("td").next("td"));
            },
            focusCleanup: true,
            rules: {
        % for index, option in enumerate(plugin_dict['validation_dict']['dhcp'].keys()):
            % if index < len(plugin_dict['validation_dict']['dhcp'].keys()) - 1:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=dhcp&section=dhcp"
                },
            % else:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=dhcp&section=dhcp"
                }
            % endif
        % endfor
            }
        });
    $('#new_dhcp_interface_form').ajaxForm({
        target: '#result',
        success: function(responseText) {
            showResult();
            // Note: contains() is from MochiKit.Text
            if (contains(_("<strong>Success:</strong>"), responseText)) {
                setTimeout(function() {reloadTab();}, 500);
                rebootRequired();
            };
        }
    });
    jTipReload();
});
</script>