# -*- coding: utf-8 -*-
<%inherit file="/plugin_base.mako"/>
<script type="text/javascript">
// This is a hack to get selection lists into jqGrid without having to make a javascript call
jqgusers="${plugin_dict['jqgusers']}";
jqggroups="${plugin_dict['jqggroups']}";
jqgplugins="${plugin_dict['jqgplugins']}";
</script>
<script type="text/javascript" src="/PyCISettings/_static?filepath=static/js/permissions.js"></script>
<div id="tabs">
    <ul>
        <li><a href="#tabs-1">${_("User Permissions")}</a></li>
        <li><a href="#tabs-2">${_("Group Permissions")}</a></li>
    </ul>
    <div id="tabs-1">
        <table id="user_permissions" class="scroll" cellpadding="0" cellspacing="0"></table> <div id="puser_permissions" class="scroll" style="text-align:center;"></div> <br />
        <div id="AddUserPermission">
            <form method="post" action="/PyCISettings/AddUserPermission">
            <table id="add_user_permission_form" border='0' width="100%">
                <tr><td>User:</td><td>
                <select id="user_select" name="group" title="Select User...">
                    % for user in plugin_dict['users']:
                        <option>${user}</option>
                    % endfor
                </select>
                </td></tr>
                <tr><td>${_("Plugin:")}</td><td>
                <select id="plugin_select" name="plugin" title="Select Plugin...">
                    % for plugin in plugin_dict['plugins']:
                        <option>${plugin}</option>
                    % endfor
                </select>
                </td></tr>
                <tr><td>${_("Permission:")}</td><td>
                <select id="permission_select" name="permission" title="Select Permission...">
                        <option>${_("Read")}</option><option>${_("Read/Write")}</option>
                </select>
                </td></tr>
            </table>
            <p><input type="submit" value="Submit"/></p>
            </form>
        </div>
    </div>
    <div id="tabs-2">
    <table id="group_permissions" class="scroll" cellpadding="0" cellspacing="0"></table> <div id="pgroup_permissions" class="scroll" style="text-align:center;"></div> <br />
        <div id="AddGroupPermission">
            <form method="post" action="/PyCISettings/AddGroupPermission">
            <table id="add_group_permission_form" border='0' width="100%">
                <tr><td>${_("Group:")}</td><td>
                <select id="group_select" name="group" title="Select Group...">
                    % for group in plugin_dict['groups']:
                        <option>${group}</option>
                    % endfor
                </select>
                </td></tr>
                <tr><td>${_("Plugin:")}</td><td>
                <select id="plugin_select" name="plugin" title="Select Plugin...">
                    % for plugin in plugin_dict['plugins']:
                        <option>${plugin}</option>
                    % endfor
                </select>
                </td></tr>
                <tr><td>${_("Permission:")}</td><td>
                <select id="permission_select" name="permission" title="Select Permission...">
                        <option>r</option><option>rw</option>
                </select>
                </td></tr>
            </table>
            <p><input type="submit" value="Submit"/></p>
            </form>
        </div>
    </div>
</div>
<div class="contextMenu" id="userPermissionsContextMenu">
    <ul>
        <li id="edit" class="ui-state-default ui-corner-all"><div class="ui-icon ui-icon-left ui-icon-pencil"></div>${_("Edit")}</li>
        <li id="delete" class="ui-state-default ui-corner-all"><div class="ui-icon ui-icon-left ui-icon-trash"></div>${_("Delete")}</li>
    </ul>
</div>
<div class="contextMenu" id="groupPermissionsContextMenu">
    <ul>
        <li id="edit" class="ui-state-default ui-corner-all"><div class="ui-icon ui-icon-left ui-icon-pencil"></div>${_("Edit")}</li>
        <li id="delete" class="ui-state-default ui-corner-all"><div class="ui-icon ui-icon-left ui-icon-trash"></div>${_("Delete")}</li>
    </ul>
</div>